`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Michelle Lynch
// 2017
//////////////////////////////////////////////////////////////////////////////////

module VGAColourCycle(
    input clk,
    input rst,
    input wire [10:0] row, col,
    output reg [3:0] red, green, blue
    
    );

reg [11:0] colour = 0;
reg [31:0] colour_change_count = 0;

always@(posedge clk, posedge rst)
        if(rst)
        begin
            colour <= 12'd0;
            colour_change_count <= 32'd0;
        end
        else
        begin
            if(colour_change_count == 32'b1 << 26)
            begin
                colour <= colour + 1;
                colour_change_count <= 32'd0;
            end
            else
                colour_change_count <= colour_change_count + 1;
        end
        
 always@(posedge clk, posedge rst)
        if(rst)
         begin
             red   <= 4'd0;
             green <= 4'd0;
             blue  <= 4'd0;
         end
         else
         begin
             red   <= colour[3:0];
             green <= colour[7:4];
             blue  <= colour[11:8];
         end
        
endmodule
